petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscIntStackEmpty

This function determines whether any items have been pushed.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscIntStackEmpty(PetscIntStack stack, PetscBool  *empty)

Not Collective

### Input Parameter

stack -The stack

### Output Parameter

empty -PETSC_TRUE if the stack is empty

### See Also

PetscIntStackCreate(), PetscIntStackDestroy(), PetscIntStackPush(), PetscIntStackPop(), PetscIntStackTop()

### Level

developer

### Location

src/sys/logging/utils/stack.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages